The cloud-enabled agent never communicates with the NS gateway due to the expired cert that was installed w/ the CEM Agent package

book

Article ID: 170211

calendar_today

Updated On:

Products

Management Platform (Formerly known as Notification Server)

Issue/Introduction

The agent never communicates w/ the NS (gateway really) due to the expired cert that was installed w/ the CEM Agent package.

The errors are...

Severity : 1
Source   : MsCryptoSslDataTransformer
Module   : AeXNetComms.dll
Message  : NS Server certificate is expired or not yet valid

Severity : 1
Source   : ConfigServer
Module   : AeXNSAgent.exe
Message  : Attempted CEM nsagent certificate negotiation failed.

Cause

Expired CEM Agent Install package was used to install the agent

Environment

ITMS Cloud-enabled Management CEM

Resolution

Select the proper certificate expiration date in the Cloud-enabled Agent Installation Package dialog box.

Settings > Notification Server > Cloud-enabled Management > Setup > Cloud-enabled Management Setup

So when the package is install and the computer tries to communicate with the ITMS server, it will not have a expired certificate.